Skip to main content
GET
List pending transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include_child_transactions
boolean

Include transactions from sub-accounts when listing transactions for a given account

status
string[]

The status of the transaction

Example:

"PENDING,PARTCLEARED"

type
string

Only display transactions matching the given type. The type typically represents the payment rail used. Valid values are ach, card, cash, check, dispute, eft_ca, external_card, fednow, fee, internal_transfer, reward, synctera_pay, and wire.

Example:

"card"

amount
integer<int64>

Only return transactions equal to the given amount (in minor currency units, e.g., cents).

Required range: x >= 0
Example:

1000

total_amount
integer<int64>

Only return transactions equal to the given total amount (in minor currency units, e.g., cents). This may differ from amount for holds with increases/decreases.

Required range: x >= 0
Example:

1200

from_date
string<date>

Only display transactions with a posting date greater than from_date

to_date
string<date>

Only display transactions with a posting date less than or equal to to_date

barcode_number
string[]

Barcode number(s). Multiple barcode numbers can be provided as a comma-separated list.

Example:

"123456789012345678901234567890,098765432109876543210987654321"

transaction_id
string<uuid>

Only display holds linked to the provided transaction id

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

digital_wallet_token_id
string<uuid>[]

Digital Wallet token ID(s). Multiple IDs can be provided as a comma-separated list.

Example:

"ba313a66-cbb6-4bc3-aa37-6548448ecb32,cadb3dd1-feb0-42c3-b545-afbbfa99eb7f"

cashback
boolean

If true, only transactions with cashback will be returned. If false, only transactions without cashback will be returned. If not provided, all transactions will be returned.

idempotency_key
string[]

Transaction Idempotency Key(s). Multiple keys can be provided as a comma-separated list.

Example:

"ba313a66-cbb6-4bc3-aa37-6548448ecb32,cadb3dd1-feb0-42c3-b545-afbbfa99eb7f"

account_no
string

Account number

exclude_jit_transactions
boolean

Hide "JIT funding" transactions from results

uuid
string<uuid>[]

Transaction UUID(s). Multiple UUIDs can be provided as a comma-separated list.

Example:

"ba313a66-cbb6-4bc3-aa37-6548448ecb32,cadb3dd1-feb0-42c3-b545-afbbfa99eb7f"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

account_id
string<uuid>[]

Account ID

card_id
string<uuid>

Card ID

Example:

"6dc0397d-1aba-4be9-9582-895a7a887d49"

reference_id
string

Reference ID

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

subtype
string

Only display transactions matching the given subtype

uuid_nin
string<uuid>[]

Transaction UUID(s) to exclude from the query. Multiple UUIDs can be provided as a comma-separated list.

Example:

"ba313a66-cbb6-4bc3-aa37-6548448ecb32,cadb3dd1-feb0-42c3-b545-afbbfa99eb7f"

Response

Paginated list of pending transactions

next_page_token
string | null
required

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

result
A pending transaction · object[]
required

List of pending transactions